Summary: The Netscape Communicator suite of tools.
Name: netscape-alpha
Version: 4.77
Release: 0.6.2 
Serial: 3
Copyright: Commercial
Group: Applications/Internet
Source0: ftp://ftp.netscape.com/pub/communicator/english/4.77/unix/unsupported/dec_unix40/complete_install/communicator-v477-us.alpha-dec-osf4.0.tar.gz
Source1: ftp://ftp.netscape.com/pub/communicator/english/4.77/unix/unsupported/dec_unix40/navigator_standalone/navigator-v477-us.alpha-dec-osf4.0.tar.gz
Source2: netscape.sh
Source3: netscape-communicator.desktop
Source4: netscape-navigator.desktop
Source5: bookmark.htm
Source10: nethelp-ja.tar.bz2
Source11: Netscape.ja.4.77.bz2
Source12: nethelp-es.tar.bz2
Source13: Netscape.es.4.77.bz2
Source14: nethelp-fr.tar.bz2
Source15: Netscape.fr.4.77.bz2
Source16: nethelp-de.tar.bz2
Source17: Netscape.de.4.77.bz2
Source18: netscape-wheelmouse
Source19: netscape.png
Source20: Netscape.ru.4.77.bz2
Source21: Netscape.zh_TW.big5.4.77.bz2
Source22: Netscape.zh_CN.gb2312.4.77.bz2
Source23: nethelp-zh_TW.big5.tar.bz2
Source24: font.properties.zh_TW
Source25: Netscape.ko.4.77.bz2
Source26: nethelp-ko.tar.bz2
# Japanese fix
Source30: ns-bogus-locale.tgz
Source31: font.properties.ja

BuildRequires: bzip2 Tru64-compat
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Prefix: /usr
ExclusiveArch: alpha
%define __spec_install_post :

%description
Netscape Navigator is a Web browser which supports the latest HTML
standards, Java, JavaScript and some style sheets.

%package -n netscape-common
%ifarch alpha
Requires: Tru64-compat
%endif
Obsoletes: nls
Prereq: chkfontpath
Summary: Files shared by Netscape Navigator and Communicator.
Group: Applications/Internet

%description -n netscape-common
This package contains the files that are shared between the Netscape
Navigator Web browser and the Netscape Communicator suite of tools
(the Navigator Web browser, an e-mail client, a news reader and Web
page editor).

Install the netscape-common package if you're installing either the
netscape-navigator or the netscape-communicator program.

%package -n netscape-communicator
Requires: netscape-common = %{version}
Provides: webclient
Summary: The Netscape Communicator suite of tools.
Group: Applications/Internet

%description -n netscape-communicator
Netscape Communicator is a suite of tools including a Web browser, a
Usenet news reader and an e-mail client.

%package -n netscape-navigator
Requires: netscape-common = %{version}
Provides: webclient
Summary: The Netscape Navigator Web browser.
Group: Applications/Internet

%description -n netscape-navigator
Netscape Navigator is a Web browser which supports the latest HTML
standards, Java, JavaScript and some style sheets.

%prep
%setup -c -b 1 -q
mv communic*/* .
rmdir communicator*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/usr/lib/netscape/plugins \
	$RPM_BUILD_ROOT/usr/lib/netscape/java/classes

for I in *.nif; do
	tar -C $RPM_BUILD_ROOT/usr/lib/netscape -xzvf $I
done
mv $RPM_BUILD_ROOT/usr/lib/netscape/netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-communicator
cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/java/classes
install -m 644 %{SOURCE24} $RPM_BUILD_ROOT/usr/lib/netscape/java/classes
install -m 644 %{SOURCE31} $RPM_BUILD_ROOT/usr/lib/netscape/java/classes
echo 'Communicator,4.77.0.20010326,/usr/lib/netscape' > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/registry /tmp/infile
rm -f /tmp/infile

# get the netscape-navigator binary now
tar xvzf %{SOURCE1} '*/netscape-v477.nif'
tar xvzf navigator*/netscape-v477.nif netscape

install -m 755 netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-navigator

install -m755 $RPM_SOURCE_DIR/netscape.sh $RPM_BUILD_ROOT/usr/bin/netscape

# put this stuff into the doc directory
mv $RPM_BUILD_ROOT/usr/lib/netscape/{LICENSE,README,Netscape.ad} .

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cp -av $RPM_SOURCE_DIR/netscape-communicator.desktop \
 $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-communicator.desktop
cp -av $RPM_SOURCE_DIR/netscape-navigator.desktop \
 $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-navigator.desktop

ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-navigator
ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-communicator

rm -f `find $RPM_BUILD_ROOT -path "*dynMotif*"`

install -m 644 $RPM_SOURCE_DIR/bookmark.htm $RPM_BUILD_ROOT/usr/lib/netscape

( 
 cd $RPM_BUILD_ROOT/usr/lib/netscape/movemail-src
 gcc $RPM_OPT_FLAGS -o ../movemail -DMAIL_USE_LOCKF -DNETSCAPE movemail.c
)

# Do localization stuff

dir=`pwd`

for locale in de es fr ja ko ru zh_CN.gb2312 zh_TW.big5; do
  mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$locale/app-defaults
  bunzip2 -c $RPM_SOURCE_DIR/Netscape.$locale.4.77.bz2 > \
     $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$locale/app-defaults/Netscape
#  cat $RPM_SOURCE_DIR/netscape-wheelmouse >> \
#     $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$locale/app-defaults/Netscape
  if [ -e $RPM_SOURCE_DIR/nethelp-$locale.tar.bz2 ]; then
     mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/$locale
     cd $RPM_BUILD_ROOT/usr/lib/netscape/$locale ; \
        bunzip2 -c $RPM_SOURCE_DIR/nethelp-$locale.tar.bz2 | tar -xvvf -
  fi
%ifarch sparc
  pushd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$locale/app-defaults
  perl -pi -e "s|4.77|4.51|g" Netscape
  popd
%endif
done

#cd $dir
#mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
#install -m 644 Netscape.ad \
#	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Netscape
#cat $RPM_SOURCE_DIR/netscape-wheelmouse >> \
#     $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Netscape

(
  cd $RPM_BUILD_ROOT/usr/lib/netscape
  mv de de_DE
  mv es es_ES
  mv fr fr_FR
  mv ja ja_JP.eucJP
  mv ko ko_KR.eucKR
)

#
# build and install the library for motif bug.
#
tar xzf %{SOURCE30}
mv ns-bogus-locale/README README.ns_bogus_locale
(cd ns-bogus-locale;
make
cp ns_bogus_locale.so $RPM_BUILD_ROOT/usr/lib/netscape/
)

find $RPM_BUILD_ROOT/usr/lib/netscape -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT/usr/lib/netscape -type f -exec chmod go+rX {} \;

# install icon for KDE use. This is the same icon as is in gnome-core;
# it *shouldn't* conflict.

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 $RPM_SOURCE_DIR/netscape.png \
	$RPM_BUILD_ROOT/usr/share/pixmaps/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n netscape-common
%defattr(-,root,root)
/usr/bin/netscape
%dir /usr/lib/netscape
/usr/lib/netscape/de_DE
/usr/lib/netscape/fr_FR
/usr/lib/netscape/es_ES
/usr/lib/netscape/ja_JP.eucJP
/usr/lib/netscape/ko_KR.eucKR
/usr/lib/netscape/zh_TW.big5
%doc README LICENSE Netscape.ad
/usr/lib/netscape/bookmark.htm
/usr/lib/netscape/java
%ifnarch alpha
/usr/lib/netscape/libjsd.so
%endif
/usr/lib/netscape/nethelp
/usr/lib/netscape/ns_bogus_locale.so
/usr/lib/netscape/registry
/usr/lib/netscape/vreg
/usr/lib/netscape/plugins
/usr/X11R6/lib/X11/*/app-defaults/*
#/usr/X11R6/lib/X11/app-defaults/Netscape
/usr/share/pixmaps/netscape.png


%files -n netscape-navigator
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Internet/netscape-navigator.desktop
/usr/bin/netscape-navigator
/usr/lib/netscape/netscape-navigator

%files -n netscape-communicator
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Internet/netscape-communicator.desktop
/usr/bin/netscape-communicator
/usr/lib/netscape/netscape-communicator
/usr/lib/netscape/movemail
/usr/lib/netscape/movemail-src
/usr/lib/netscape/spell

%post -n netscape-common
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
fi

%pre -n netscape-common
for locale in de_DE es_ES fr_FR ja_JP.eucJP ko_KR.eucJP zh_CN.gb312 zh_TW.big5; do
  if [ ! -L /usr/lib/netscape/$locale ] ; then
      rm -rf /usr/lib/netscape/$locale
  fi
done
exit 0

%triggerpostun -n netscape-common -- netscape-common < 4.74-6
for locale in de es fr ja; do
  rmdir /usr/lib/netscape/$locale >/dev/null 2>&1
done
exit 0


%changelog
* Mon Apr  9 2001 Bill Nottingham <notting@redhat.com>
- 4.77

* Thu Dec 21 2000 Matt Wilson <msw@redhat.com>
- merge language support in, but it probably won't work with Alpha anyway
- don't use irix session management on Alpha

* Mon Dec 18 2000 Bill Nottingham <notting@redhat.com>
- fix netscape.sh to not do really stupid stuff in the presence of mozilla
- remove chkfontpath from buildprereqs

* Sun Dec 17 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Korean resources
- Update netscape.sh to support Korean locale

* Sat Dec 16 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese resources
- Update netscape.sh to support Japanese.
- Change URL unsupport -> support.
- Add BuildRequires
- Update Netscape.ja.4.76.bz2
- Add Japanese translation to *.desktop
- Add Chinese resource from CLE.

* Thu Nov  9 2000 Bill Nottingham <notting@redhat.com>
- update to 4.76
- add app-defaults file for koi8-r fonts (leon@geon.donetsk.ua)
- add icon (#17872)

* Thu Aug 24 2000 Bill Nottingham <notting@redhat.com>
- fix movemail so it might work right

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- 4.75 

* Wed Aug 16 2000 Bill Nottingham <notting@redhat.com>
- fix trigger
- fix summaries

* Sun Aug  6 2000 Bill Nottingham <notting@redhat.com>
- sv desktop entry translations
- just ship full locales

* Mon Jul 31 2000 Bill Nottingham <notting@redhat.com>
- fix ownership of nethelp dirs
- don't worry about fixing the 4.73 upgrade problem; it's unfixable

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- fix problem with upgrading from broken 4.73 packages
- turn off wheelmouse for now

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- updated german translation from Harald Hoyer (harald@redhat.com)

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- 4.74

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- fix nethelp dir inclusion

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Bill Nottingham <notting@redhat.com>
- hacks for wheelmouse support

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use new path for indexhtml

* Fri Jun 16 2000 Bill Nottingham <notting@redhat.com>
- don't strip ia32 binaries on ia64

* Tue Jun 13 2000 Bill Nottingham <notting@redhat.com>
- hack ia64 build

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- 4.73

* Fri Mar  3 2000 Bill Nottingham <notting@redhat.com>
- updated Japanese locale defaults
- move movemail, movemail-src, spell to communicator package

* Wed Mar  1 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add German nethelp
- fix up broken HTML in nethelp, all locales

* Tue Feb 29 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add locale files for German
- while at it, fix up the ISO-8859-15-entry for French and Spanish

* Fri Feb 25 2000 Bill Nottingham <notting@redhat.com>
- don't run sparc against glibc-2.0; the X bug has been fixed
- don't do locale-munging; 4.72 doesn't write broken locale settings

* Thu Feb 24 2000 Bill Nottingham <notting@redhat.com>
- tweak wrapper script to be smarter about lock files

* Wed Feb 23 2000 Bill Nottingham <notting@redhat.com>
- update to 4.72 on intel

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- munge default bookmarks slightly

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- fix netscape.sh syntax errors
- fix homepage detection

* Fri Feb  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix netscape.sh syntax errors

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- integrate some l10n stuff

* Fri Nov  5 1999 Bill Nottingham <notting@redhat.com>
- remove sparc binaries - in different package now. 

* Wed Sep 29 1999 Bill Nottingham <notting@redhat.com>
- update to 4.7

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- fix timezone

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- fix quoting in shell script
- fix processname of compat-lib-ized netscape

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- make netscape-common requirements include the serial

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- get default homepage back

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- fix paths to pidof

* Fri Aug 27 1999 Bill Nottingham <notting@redhat.com>
- fix paths to compat libs in new script.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- some ideas from H. Peter Anvin and Dave Cinege's wrapper incorporated.

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- run against the compatibility libs. This sucks.
- re-integrate the Sparc version, with different versions.

* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 4.61

* Mon May 17 1999 Bill Nottingham <notting@redhat.com>
- update to 4.6

* Thu May  6 1999 Bill Nottingham <notting@redhat.com>
- remove libTrueDoc to get rid of libc5 dependency. Oops.

* Mon May  3 1999 Bill Nottingham <notting@redhat.com>
- update to attempt to fix pipe bug

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- rewrite startup script to be sane

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- move requires/obsoletes to the right place in the spec file.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- update to 4.51
- build on sparc. Wheee.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- applink -> applnk
- make subpackages require versions

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- wmconfig -> applink

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- fix netscape script for other locales
- remove LD_PRELOAD (ns is now linked against libBrokenLocale....)

* Sun Jan 10 1999 Bill Nottingham <notting@redhat.com>
- spec file cosmetics

* Sun Dec 13 1998 Bill Nottingham <notting@redhat.com>
- update to 4.08

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- update to 4.07

* Tue Aug 18 1998 Bill Nottingham <notting@redhat.com>
- updated to 4.06

* Fri Jul 10 1998 Cristian Gafton <gafton@redhat.com>
- modified to load libBrokenLocale.so.1, so that glibc-devel is no longer
  required

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- replaced LANG=C with a preload of libBrokenLocale.so
- don't point to our html page if a home page is set in the user's preferences
- added missing " to wmconfig files

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- added LANG=C to netscape start wrapper

* Thu Apr 02 1998 Erik Troan <ewt@redhat.com>
- update to netscape 4.05
- moved common files to netscape-common package which both navigator and
  communicator require
- made relocateable (needs RPM >= 2.4.103 to relocate properly)

* Fri Jan 23 1998 Erik Troan <ewt@redhat.com>
- initial package is rel 3, works on RH 4.x and RH 5.x
